Name:		cwdaemon
Version:	0.9.4
Release:	7%{?dist}
Summary:	Morse daemon for the parallel or serial port

Group:		System Environment/Daemons
License:	GPLv2+
URL:		http://www.qsl.net/pg4i/linux/%{name}.html
Source0:	http://www.qsl.net/pg4i/download/%{name}-%{version}.tar.gz
#Files needed for cwdaemon service
Source1:    cwdaemon-init.d-fedora.in
Source2:    cwdaemon-config.in
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	unixcw-devel pkgconfig

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
Cwdaemon is a small daemon which uses the pc parallel or serial port
and a simple transistor switch to output morse code to a transmitter
from a text message sent to it via the udp internet protocol.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install the init.d script
install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/cwdaemon
#install the configuration file
install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/default/cwdaemon

#remove the test.c we don't know why it is here, if we figure it out we will fix it
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/cwtest.c

#don't include this twice
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/README

#fix permissions
chmod 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/*.sh

%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.gz
%{_datadir}/%{name}
%config %{_sysconfdir}/init.d/*
%config %{_sysconfdir}/default/*

%changelog
* Tue Feb 19 2008 Sindre Pedersen Bjordal <foolish@guezz.net> 0.9.4-7
- Clean up %%files list
- 
* Mon Feb 18 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9.4-6
- fix manpage macro
- remove -devel package section and files including test.c

* Mon Feb 18 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9.4-5
- remove symlink from files section

* Mon Feb 18 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9.4-4
- Fix a few things from initial review
- Use sbin macro
- add simlink for second README location

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9.4-3
- Submit for review

* Mon Nov 19 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.9.4-2
- Update License tag
- Add missing doc files
- Don't package README twice
- Fix permissions for scripts

* Sun Apr 29 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9.4-0
- Initial spec file
